<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<body>
<div class="head">'.$date.'-['.$user['country'].'] </div><div class="money">';

echo $style;
echo '['.$user[login].']<br />';

switch($_GET[a])
	{
    default:
    echo 'Калькулятор стен</div><div class="money">';
	if (isset($_POST['lvl_wall']))
		{
		$lvl_wall = abs($_POST[lvl_wall]);
		$str = abs($_POST[str]);
		$lvl_guns = abs($_POST[lvl_guns]);
		$guns = abs($_POST[guns]);
		$type = abs($_POST[type]);
		$type2 = abs($_POST[type2]);
		$error = '';
		if ($lvl_wall < '1' OR $lvl_wall > '100') $error .= 'Недопустимый уровень стены<br />';
		if ($str < '20' OR $str > '100') $error .= 'Недопустимая целостность стены<br />';
		if ($lvl_guns < '1' OR $lvl_guns > '100') $error .= 'Недопустимая уровень стенобиток<br />';
		if ($guns < '1' OR $guns > '250') $error .= 'Недопустимое кол-во стенобиток<br />';
		if ($type < '0' OR $type > '1') $error .= 'Неправильно выбран заряд<br />';
		if ($type2 < '0' OR $type2 > '1') $error .= 'Неправильно выбран заряд<br />';
		
		if ($type == '0') $type_s = "Огненные снаряды";
		if ($type2 == '0') $type_s2 = "Деревянная стена";
		if (empty($error))
			{
			
			
			
			
			
			
			
			//параметры таранов
$t_amount=$guns; //кол-во таранов
$t_type=1;  //тип снарядов
if($type_s == "Огненные снаряды")
{
	$_type=0;
}
$t_lvl=$lvl_guns; //уровень таранов

//Параметры стены
$wall_hp=$str; //здоровье стены
$wall_type=$type2; //тип стены
if($type_s2 == "Деревянная стена")
{
	$wall_type=0;
}
$wall_lvl=1; //уровень стены
//если не совпадают типы то урон лиш 20%
$k_types=1;
if($wall_type != $t_type)
{
	$k_types=0.2;
}
//коэфициент урона относительно параметров
$dmg_parameters=$t_lvl-$wall_lvl;

//считаем урон от каждого тарана
$dmg=0;
$test_wall=$wall_hp;
$t_lost=0;
for($i=0;$i<$t_amount;$i++)
{
	$rand=rand(5,15); //случайный урон от 5-15 одного тарана
	$t_dmg=ceil(($rand+$dmg_parameters)*$k_types); //в иоге урон при параметрах
	if($t_dmg < 0) //если уровень стены высокий($dmg_parameters-будет меньше нуля) и тараны не пробивают стену
	{
		$t_dmg=0;
	}
	$dmg+=$t_dmg; //всего на сколько % таран пробил стену
	//сразу проверяем сколько лишних таранов бьют(пока стена жива - нужны тараны, нет - тараны будут записыватся в выжившие
	if($test_wall > 0)
	{
		$test_wall-=$t_dmg;
	}
	else
	{
		$t_lost+=1;
	}
}

$new_hp=$wall_hp-$dmg; //сколько осталось
if($new_hp < 0)     //проверка на меньше нуля
{
	$new_hp=0;


}

//смотрим что изменилось
$door=0; //не разрешаем входить так как нету дырки
if($new_hp <= 40)
{
	$door=1; //произошла дыра
}

if($dmg > 0)
{
	$percent=$dmg/$wall_hp; //смотрим сколько процентов нанесено стене
	$wall_lvl=ceil($wall_lvl*$percent);	//понижаем уровень стены на процент
}
if ($door == '1') echo 'Вы пробили дыру в стене<br />';
else echo 'Вы не смогли пробить дыру в стене<br />';
echo 'Теперь целостность стены '.$new_hp.'%<br />';
echo 'Уровень стены понизился до '.$wall_lvl.'<br />';
if ($t_lost == '0')echo 'У вас не осталось ни одной стенобитки';
else echo 'У вас осталось '.$t_lost.' таранов';
echo '</div><a class="razd" href="calc.php">Попробовать еще</a>';


			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			} else echo 'Ошибка!<br />'.$error.'<br></div><a class="razd" href="calc.php">Попробовать еще раз</a>';
		
		
		} else {
	echo '<form method="post" action="">
	Уровень стены: <br />
	<input type="text" name="lvl_wall" size="10" maxlength="5" value=""><br />
	Целостность стены (в процентах): <br />
	<input type="text" name="str" size="10" maxlength="5" value=""><br />
	Уровень стенобиток: <br />
	<input type="text" name="lvl_guns" size="10" maxlength="5" value=""><br />
	Количество стенобиток: <br />
	<input type="text" name="guns" size="10" maxlength="5" value=""><br />
	Тип зарядов:<br />
	<input name="type" type="radio" value="0"> Огненные заряды<br />
	<input name="type" type="radio" value="1"> Каменные заряды<br />
	Тип стены:<br />
	<input name="type2" type="radio" value="0"> Деревянная<br />
	<input name="type2" type="radio" value="1"> Каменная<br />
	<input type="submit" value="Огонь!"> 
	</form>';
				}
    break;

    case 'view':
	
    break;
	}

echo '</div><div class="money">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
';


?>